    /*
     *  call-seq:
     *     fis.to_a -> array
     *
     *  Return an array of the FieldInfo objects contained but this FieldInfos
     *  object.
     */
    static VALUE
    frt_fis_to_a(VALUE self)
    {
        FieldInfos *fis = (FieldInfos *)DATA_PTR(self);
        VALUE rary = rb_ary_new();
        int i;

        for (i = 0; i < fis->size; i++) {
            rb_ary_push(rary, frt_get_field_info(fis->fields[i]));
        }
        return rary;
    }